Class | YARD::CodeObjects::ModuleObject
In: | lib/yard/code_objects/module_object.rb
Parent: | NamespaceObject

Represents a Ruby module.

### Methods

inheritance_tree

### Public Instance methods

inheritance_tree(include_mods = false)

Returns the inheritance tree of mixins.

@param [Boolean] include_mods if true, will include mixed in

      modules (which is likely what is wanted).

@return [Array<NamespaceObject>] a list of namespace objects

[Validate]